%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define packagename Extremes

Name:           python-peak-util-extremes
Version:        1.1
Release:        2.4
Summary:        Production-quality 'Min' and 'Max' objects

Group:          Development/Languages
License:        PSF or ZPL
URL:            http://pypi.python.org/pypi/Extremes
Source0:        http://pypi.python.org/packages/source/E/%{packagename}/%{packagename}-%{version}.zip
Patch0:         %{name}-setup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip

%description 
The peak.util.extremes module provides a production-quality implementation of
the Min and Max objects from PEP 326.  While PEP 326 was rejected for inclusion
in the language or standard library, the objects described in it are useful in
a variety of applications.  In PEAK, they have been used to implement generic
functions (in RuleDispatch and PEAK-Rules), as well as to handle scheduling and
time operations in the Trellis.  Because this has led to each project copying
the same code, we've now split the module out so it can be used independently.

%prep
%setup -q -n %{packagename}-%{version}
%patch0 -b .setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root,-)
%doc README.txt

%changelog
* Thu Jul 23 2009 Ciaran Farrell <cfarrell1980@gmail.com> - 0.6-1
- Imported to OBS from Fedora

* Sun Aug 12 2008 Luke Macken <lmacken@redhat.com> - 0.6-1
- Initial package for Fedora
